Skip to main content
GET
/
v1
/
agents
List Agents
curl --request GET \
  --url https://api.agentpowers.ai/v1/agents
{
  "items": [
    {
      "slug": "<string>",
      "title": "<string>",
      "description": "<string>",
      "category": "<string>",
      "type": "<string>",
      "price_cents": 123,
      "currency": "<string>",
      "version": "<string>",
      "security_status": "<string>",
      "download_count": 123,
      "long_description": "<string>",
      "view_count": 0,
      "install_count": 0,
      "rating_average": 123,
      "rating_count": 0,
      "author": {
        "display_name": "<string>",
        "github_username": "<string>",
        "display_name_slug": "<string>",
        "avatar_url": "<string>",
        "verified": false
      },
      "source": "<string>",
      "source_url": "<string>",
      "source_installs": 123,
      "source_stars": 123
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Query Parameters

category
string | null
Maximum string length: 50
sort
string | null
Pattern: ^(newest|price_asc|price_desc|downloads|relevance)$
price_filter
string | null
Pattern: ^(free|paid)$
security_status
string | null
Pattern: ^(pass|warn)$
limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

Successful Response

items
SkillSummary · object[]
required
total
integer
required
limit
integer
required
offset
integer
required